org.apache.struts2.jasper

## Class JasperException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.ServletException
      - - org.apache.struts2.jasper.JasperException

- All Implemented Interfaces:
    Serializable

      public class JasperException
      extends javax.servlet.ServletException

  Base class for all exceptions generated by the JSP engine. Makes it convenient to catch just this at the top-level.
  Author:
    Anil K. Vijendran
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JasperException(String reason)`
    `JasperException(String reason, Throwable exception)` Creates a JasperException with the embedded exception and the reason for throwing a JasperException
    `JasperException(Throwable exception)` Creates a JasperException with the embedded exception

  - ### Method Summary

    - ### Methods inherited from class javax.servlet.ServletException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JasperException

          public JasperException(String reason)

    - #### JasperException

          public JasperException(String reason,
                                 Throwable exception)

      Creates a JasperException with the embedded exception and the reason for throwing a JasperException
      Parameters:
        `reason` - the reason
        `exception` - the exception

    - #### JasperException

          public JasperException(Throwable exception)

      Creates a JasperException with the embedded exception
      Parameters:
        `exception` - the exception

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.